package cn.ezhizao.project.business.controller;


import cn.ezhizao.framework.web.domain.AjaxResult;
import cn.ezhizao.project.business.domain.vo.FurnaceNoInfo;
import cn.ezhizao.project.business.service.FurnaceNoInfoService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/business/furnaceNoInfo")
public class FurnaceNoInfoController {

    @Resource
    private FurnaceNoInfoService furnaceNoInfoService;

    // 获取炉号信息
    @GetMapping("/getFurnaceNoInfo")
    public AjaxResult getFurnaceNoInfo(FurnaceNoInfo furnaceNoInfo, HttpServletRequest request){
        System.out.println(request.getHeader("Authorization"));
        return AjaxResult.success(furnaceNoInfoService.selectFurnaceNoInfoList(furnaceNoInfo));
    }
}
