package cn.ezhizao.project.business.controller;

import cn.ezhizao.framework.web.controller.BaseController;
import cn.ezhizao.framework.web.domain.AjaxResult;
import cn.ezhizao.project.business.domain.Sfc10500;
import cn.ezhizao.project.business.service.impl.Sfc10500ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * sfc10300Controller
 *
 * @author ezhizao_zx
 */
@RestController
@RequestMapping("/business/sfc10500")
public class Sfc10500Controller extends BaseController {
@Resource
private Sfc10500ServiceImpl sfc10500Service;

    @GetMapping(value = "/getLotAmount")
    private AjaxResult getLotAmount(Sfc10500 sfc10500) {
        //查找批次单批重量
        QueryWrapper<Sfc10500> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lotseq",sfc10500.getLotseq());
        queryWrapper.like("lotno",sfc10500.getLotno());
        return success( sfc10500Service.getList(queryWrapper));
    }

}