package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName(value = "sfc10100")
public class Sfc10100 {
    /** 加工中心码 */
    @ApiModelProperty(value = "${comment}")
    private String mccode;
    @ApiModelProperty("助记码")
    private String finkey;
    @ApiModelProperty("加工中心")
    private String mcname;
    @ApiModelProperty("厂别")
    private String facno;
    @ApiModelProperty("料损率")
    private BigDecimal lsl;
    @ApiModelProperty("Y有表面处理按售价-工序单价计算N无表面处理工序")
    private String bmcl;
    @ApiModelProperty("运费扣款单价")
    private BigDecimal yfprc;
    @ApiModelProperty("税率")
    private Integer taxsl;
    @ApiModelProperty("操作者")
    private String writeruser;
    @ApiModelProperty("更新日期")
    private Date writedate;
    @ApiModelProperty("NA外协单位可用,CL外协单位不用")
    private String status;
    @ApiModelProperty("结算方式Y按炉数N按支数结算")
    private String jsfs;
    @ApiModelProperty("废品单价类别1,2开头1无表面处理2：表面处理；正常11:=实投重量*材料单价21（表）:销售价-工序价22（表）=工序价*2，23（表）=工序*3")
    private String fptype;
    @ApiModelProperty("外协加工类别：11：热处理12：机加工13：表面处理14：电镀15：三方选别")
    private String wxtype;
    @ApiModelProperty("外协返回免检（N）,Y：必检")
    private String mjtype;
    @ApiModelProperty("更新时间")
    private Date modate;
}
