package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName(value = "sfc10300")
public class Sfc10300 {
    /** 工序编码 */
    @ApiModelProperty(value = "${comment}")
    private String prcode;
    /** 小写字母加下划线或数字 */
    @ApiModelProperty(value = "${comment}")
    private String finkey;
    /** 工序简称 */
    @ApiModelProperty(value = "${comment}")
    private String prna;
    /** 状态 */
    @ApiModelProperty(value = "${comment}")
    private String status;
    /** 计件单位 */
    @ApiModelProperty(value = "${comment}")
    private String type;
    /** 计件单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc;
    /** 编辑人 */
    @ApiModelProperty(value = "${comment}")
    private String writeruser;
    /** 更新日期 */
    @ApiModelProperty(value = "${comment}")
    private Date writedate;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private Date modate;

    /** 外协检查字段 */
    private String wrbz;

}
