package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName(value = "sfc10401")
public class Sfc10401 {
    /** 版本号 */
    @ApiModelProperty(value = "${comment}")
    private String prver;
    /** 产品编码 */
    @ApiModelProperty(value = "${comment}")
    private String cpart;
    /** =seq1(2位)+seq2(1位)+0(第4位用于单批单改) */
    @ApiModelProperty(value = "${comment}")
    private String prseq;
    /** 工序编码 */
    @ApiModelProperty(value = "${comment}")
    private String prcode;
    /** 主次序 */
    @ApiModelProperty(value = "${comment}")
    private String seq1;
    /** 分次序 */
    @ApiModelProperty(value = "${comment}")
    private String seq2;
    /** 工序助记码 */
    @ApiModelProperty(value = "${comment}")
    private String finkey;
    /** 工序简称 */
    @ApiModelProperty(value = "${comment}")
    private String prna;
    /** 轴类型码 */
    @ApiModelProperty(value = "${comment}")
    private String ztype;
    /** 轴类助记码EPS */
    @ApiModelProperty(value = "${comment}")
    private String ztydm;
    /** 产品规格图号 */
    @ApiModelProperty(value = "${comment}")
    private String descr;
    /** 单位工时 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal shour;
    /** 计件费单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc;
    /** 计件费类别 */
    @ApiModelProperty(value = "${comment}")
    private String type;
    /** 当prcode='999999'(EPS三叶包装工序) */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal coe;
    /** 历史单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc01;
    /** 历史单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc02;
    /** 历史单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal unprc03;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private Date undate1;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private Date undate2;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private Date undate3;
    /** 厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private String facno;
    /** 辅助岗单价 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal fzprc;
    /** 工序加工损失 */
    @ApiModelProperty(value = "${comment}")
    private BigDecimal mlr;
    /** 编辑人 */
    @ApiModelProperty(value = "${comment}")
    private String writeruser;
    /** 更新日期 */
    @ApiModelProperty(value = "${comment}")
    private Date writedate;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private Date modate;
}
