package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName(value = "sfc10500")
public class Sfc10500 {
    /** 版本号 */
    @ApiModelProperty(value = "${comment}")
    private String lot;
    /** 产品编码 */
    @ApiModelProperty(value = "${comment}")
    private String lotcode;
    /** 轴类型码 */
    @ApiModelProperty(value = "${comment}")
    private Date phdate;
    /** 轴类助记码EPS */
    @ApiModelProperty(value = "${comment}")
    private String prver;
    /** 规格 */
    @ApiModelProperty(value = "${comment}")
    private String cpart;
    /** 图号 */
    @ApiModelProperty(value = "${comment}")
    private String lotno;
    /** 工序助记码 */
    @ApiModelProperty(value = "${comment}")
    private Integer lotseq;
    /** 建立者 */
    @ApiModelProperty(value = "${comment}")
    private String mingx;
    @ApiModelProperty(value = "${comment}")
    private String maxgx;
    @ApiModelProperty(value = "${comment}")
    private String minpr;
    /** 建立日期 */
    @ApiModelProperty(value = "${comment}")
    private String maxpr;
    /** 修改者 */
    @ApiModelProperty(value = "${comment}")
    private String minna;
    /** 修改日期 */
    @ApiModelProperty(value = "${comment}")
    private String maxna;
    /** 参照产品编码 */
    @ApiModelProperty(value = "${comment}")
    private Integer txqty;
    /** 参照规格或图号 */
    @ApiModelProperty(value = "${comment}")
    private Integer hgqty;
    /** 参照版本号 */
    @ApiModelProperty(value = "${comment}")
    private Integer xsqty;
    /** 首序 */
    @ApiModelProperty(value = "${comment}")
    private String spec;
    /** 末序 */
    @ApiModelProperty(value = "${comment}")
    private String draw;
    /** 首序编码 */
    @ApiModelProperty(value = "${comment}")
    private String cust;
    /** 末序编码 */
    @ApiModelProperty(value = "${comment}")
    private String khname;
    /** 首序简称 */
    @ApiModelProperty(value = "${comment}")
    private String ztype;
    /** 末序简称 */
    @ApiModelProperty(value = "${comment}")
    private String ztydm;
    /** 编辑人 */
    @ApiModelProperty(value = "${comment}")
    private Integer phsl;
    /** 更新日期 */
    @ApiModelProperty(value = "${comment}")
    private String part;
    @ApiModelProperty(value = "${comment}")
    private String status;
    @ApiModelProperty(value = "${comment}")
    private String xsyno;
    @ApiModelProperty(value = "${comment}")
    private String ddyno;
    @ApiModelProperty(value = "${comment}")
    private String facno;
    @ApiModelProperty(value = "${comment}")
    private Date wgdate;
    @ApiModelProperty(value = "${comment}")
    private BigDecimal pssl;
    @ApiModelProperty(value = "${comment}")
    private Integer okqty;
    @ApiModelProperty(value = "${comment}")
    private Integer rkqty;
    @ApiModelProperty(value = "${comment}")
    private String lotsta;
    @ApiModelProperty(value = "${comment}")
    private String reflot;
    @ApiModelProperty(value = "${comment}")
    private Date pfdate;
    @ApiModelProperty(value = "${comment}")
    private String llbz;
    @ApiModelProperty(value = "${comment}")
    private Date lldate;
    @ApiModelProperty(value = "${comment}")
    private String llrno;
    @ApiModelProperty(value = "${comment}")
    private String lldept;
    @ApiModelProperty(value = "${comment}")
    private BigDecimal xeqty;
    @ApiModelProperty(value = "${comment}")
    private BigDecimal peqty;
    @ApiModelProperty(value = "${comment}")
    private String sjqty;
    @ApiModelProperty(value = "${comment}")
    private String wlqty;
    @ApiModelProperty(value = "${comment}")
    private String fpxs;
    @ApiModelProperty(value = "${comment}")
    private String rkbz;
    @ApiModelProperty(value = "${comment}")
    private String writeruser;
    @ApiModelProperty(value = "${comment}")
    private Date writedate;
    @ApiModelProperty(value = "${comment}")
    private String remark;
    @ApiModelProperty(value = "${comment}")
    private Integer trqty;
    @ApiModelProperty(value = "${comment}")
    private String zjbz;
    @ApiModelProperty(value = "${comment}")
    private String type;
    @ApiModelProperty(value = "${comment}")
    private String descr;
    @ApiModelProperty(value = "${comment}")
    private String jasta;
    @ApiModelProperty(value = "${comment}")
    private Date jadate;
    @ApiModelProperty(value = "${comment}")
    private String luhao;
    @ApiModelProperty(value = "${comment}")
    private Date cldate;
    @ApiModelProperty(value = "${comment}")
    private String vena;
    @ApiModelProperty(value = "${comment}")
    private Integer ngqty;


}
