package cn.ezhizao.project.business.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class OutsourceOrderDetailBalance {

    // 发出单号
    private String formCode;
    private String  productCode;
    private Date formDate;
    private String supplierName;
    private String supplierCode;
    private Integer productNum;
    // 料损数量
    private BigDecimal materialLoss;
    // 实际投料量
    private BigDecimal actualFeeding;
    // 废品加工单价
    private BigDecimal wastePrice;
    // 应得金额
    private BigDecimal planAmount;
    // 料扣金额
    private BigDecimal materialCost;
    // 结算方式
    private String settlementType;
    // 产品名称
    private String productName;
    // 产品描述
    private String productDescription;
    // 运费单价
    private BigDecimal freightPrice;
    // 加工工序
    private String processName;
    // 投入量
    private BigDecimal inputAmount;
    // 发出量
    private BigDecimal outputAmount;
    // 收回量
    private BigDecimal receiptAmount;
    // 箱数
    private BigDecimal caseNumber;
    // 批号
    private String lotCode;
    // 税率
    private Integer taxRatio;
    // 废品计算类别
    private String wastePriceCategory;
}
