package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizCompany;

/**
 * companyMapper接口
 *
 * @author ezhizao
 * @date 2024-01-03
 */
public interface BizCompanyMapper extends BaseMapper<BizCompany>
{
    /**
     * 查询company列表
     *
     * @param bizCompany company
     * @return company集合
     */
    public List<BizCompany> getList(BizCompany bizCompany);

    /**
     * 物理删除
     * @param bizCompany
     * @return 删除结果
    */
    public int physicalDelete(BizCompany bizCompany);
}
