package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizMaterialBase;

/**
 * 材料基本 来源inv10100Mapper接口
 *
 * @author ezhizao
 * @date 2024-06-17
 */
public interface BizMaterialBaseMapper extends BaseMapper<BizMaterialBase>
{
    /**
     * 查询材料基本 来源inv10100列表
     *
     * @param bizMaterialBase 材料基本 来源inv10100
     * @return 材料基本 来源inv10100集合
     */
    public List<BizMaterialBase> getList(BizMaterialBase bizMaterialBase);

    /**
     * 物理删除
     * @param bizMaterialBase
     * @return 删除结果
    */
    public int physicalDelete(BizMaterialBase bizMaterialBase);
}
