package cn.ezhizao.project.business.mapper;

import java.util.List;

import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 生产计划明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface BizProductionPlanDetailMapper extends BaseMapper<BizProductionPlanDetail> {
    /**
     * 查询生产计划明细列表
     *
     * @param bizProductionPlanDetail 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizProductionPlanDetail> getList(BizProductionPlanDetail bizProductionPlanDetail);

    /**
     * 物理删除
     *
     * @param bizProductionPlanDetail saveBatchByRawSql
     * @return 删除结果
     */
    public int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail);

    /**
     * 按sql批量插入
     *
     * @param list 数据集合
     * @return 影响的行数
     */
    public int saveBatchByRawSql(List<BizProductionPlanDetail> list);
}
