package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizReturnReceiptDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 外协单从Mapper接口
 *
 * @author ezhizao
 * date    2024-04-26
 */
public interface BizReturnReceiptDetailMapper extends BaseMapper<BizReturnReceiptDetail>
{
    /**
     * 查询外协单从列表
     *
     * @param bizReturnReceiptDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizReturnReceiptDetail> getList(BizReturnReceiptDetail bizReturnReceiptDetail);

    /**
     * 物理删除
     * @param bizReturnReceiptDetail 待删除
     * @return 删除结果
    */
    public int physicalDelete(BizReturnReceiptDetail bizReturnReceiptDetail);
}
