package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizShaftCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 盘点同步Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-15
 */
public interface BizShaftCategoryMapper extends BaseMapper<BizShaftCategory>
{
    /**
     * 查询盘点同步列表
     *
     * @param bizShaftCategory 盘点同步
     * @return 盘点同步集合
     */
    public List<BizShaftCategory> getList(BizShaftCategory bizShaftCategory);

    /**
     * 物理删除
     * @param bizShaftCategory
     * @return 删除结果
    */
    public int physicalDelete(BizShaftCategory bizShaftCategory);
}
