package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizCompany;

/**
 * companyService接口
 *
 * @author ezhizao
 * @date 2024-01-03
 */
public interface IBizCompanyService extends IService<BizCompany>
{
    /**
     * 查询company列表
     *
     * @param bizCompany company
     * @return company集合
     */
    public List<BizCompany> getList(BizCompany bizCompany);

    /**
     * 物理删除
     * @param bizCompany
     * @return 删除结果
     */
    public int physicalDelete(BizCompany bizCompany);

}
