package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizMachineCenter;

/**
 * 加工中心Service接口
 *
 * @author ezhizao
 * @date 2024-06-06
 */
public interface IBizMachineCenterService extends IService<BizMachineCenter>
{
    /**
     * 查询加工中心列表
     *
     * @param bizMachineCenter 加工中心
     * @return 加工中心集合
     */
    public List<BizMachineCenter> getList(BizMachineCenter bizMachineCenter);

    /**
     * 物理删除
     * @param bizMachineCenter
     * @return 删除结果
     */
    public int physicalDelete(BizMachineCenter bizMachineCenter);

}
