package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizOutsourcedOrder;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 外协单主  带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service接口
 *
 * @author 庄德政
 * date    2024-04-26
 */
public interface IBizOutsourcedOrderService extends IService<BizOutsourcedOrder>
{
    /**
     * 查询外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizOutsourcedOrder 外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    List<BizOutsourcedOrder> getList(BizOutsourcedOrder bizOutsourcedOrder);

    /**
     * 物理删除
     * @param bizOutsourcedOrder 待删除
     * @return 删除结果
     */
    int physicalDelete(BizOutsourcedOrder bizOutsourcedOrder);

}
