package cn.ezhizao.project.business.service;


import cn.ezhizao.project.business.domain.BizProduct;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 产品管理Service接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface IBizProductService extends IService<BizProduct>
{
    /**
     * 查询产品管理列表
     *
     * @param bizProduct 产品管理
     * @return 产品管理集合
     */
    public List<BizProduct> getList(BizProduct bizProduct);

    /**
     * 物理删除
     * @param bizProduct
     * @return 删除结果
     */
    public int physicalDelete(BizProduct bizProduct);

}
