package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizReturnReceiptDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 收回单明细
 *
 * @author 庄德政
 * date    2024-04-26
 */
public interface IBizReturnReceiptDetailService extends IService<BizReturnReceiptDetail>
{
    /**
     * 查询收回单表
     *
     * @param bizReturnReceiptDetail 查询条件
     * @return 收回单主表
     */
    List<BizReturnReceiptDetail> getList(BizReturnReceiptDetail bizReturnReceiptDetail);

    /**
     * 物理删除
     * @param bizReturnReceiptDetail 待删除
     * @return 删除结果
     */
    int physicalDelete(BizReturnReceiptDetail bizReturnReceiptDetail);

}
