package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Bom30101;
import cn.ezhizao.project.business.mapper.Bom30101Mapper;
import cn.ezhizao.project.business.service.IBom30101Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Bom30101ServiceImpl extends ServiceImpl<Bom30101Mapper, Bom30101> implements IBom30101Service
{
    @Resource
    private Bom30101Mapper bom30101Mapper;

    /**
     * 查询bom30101列表
     *
     * @param queryWrapper<Bom30101> queryWrapper
     * @return bom30101
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Bom30101> getList(QueryWrapper<Bom30101> queryWrapper)
    {
        return bom30101Mapper.selectList(queryWrapper);
    }
}