package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.vo.FurnaceNoInfo;
import cn.ezhizao.project.business.mapper.FurnaceNoInfoMapper;
import cn.ezhizao.project.business.service.FurnaceNoInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class FurnaceNoInfoServiceImpl implements FurnaceNoInfoService {

    @Resource
    private FurnaceNoInfoMapper furnaceNoInfoMapper;

    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<FurnaceNoInfo> selectFurnaceNoInfoList(FurnaceNoInfo furnaceNoInfo) {
        return furnaceNoInfoMapper.selectFurnaceNoInfoList(furnaceNoInfo);
    }
}
