package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Inc10100;
import cn.ezhizao.project.business.mapper.Inc10100Mapper;
import cn.ezhizao.project.business.service.IInc10100Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Inc10100ServiceImpl extends ServiceImpl<Inc10100Mapper, Inc10100> implements IInc10100Service
{
    @Resource
    private Inc10100Mapper inc10100Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Inc10100> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Inc10100> getList(QueryWrapper<Inc10100> queryWrapper)
    {
        return inc10100Mapper.selectList(queryWrapper);
    }
}