package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Inv10100;
import cn.ezhizao.project.business.mapper.Inv10100Mapper;
import cn.ezhizao.project.business.service.IInv10100Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Inv10100ServiceImpl extends ServiceImpl<Inv10100Mapper, Inv10100> implements IInv10100Service
{
    @Resource
    private Inv10100Mapper inv10100Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Inv10100> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Inv10100> getList(QueryWrapper<Inv10100> queryWrapper)
    {
        return inv10100Mapper.selectList(queryWrapper);
    }
}