package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Sfc10400;
import cn.ezhizao.project.business.mapper.Sfc10400Mapper;
import cn.ezhizao.project.business.service.ISfc10400Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Sfc10400ServiceImpl extends ServiceImpl<Sfc10400Mapper, Sfc10400> implements ISfc10400Service
{
    @Resource
    private Sfc10400Mapper sfc10400Mapper;

    /**
     * 查询sfc10400列表
     *
     * @param queryWrapper<Sfc10400> queryWrapper
     * @return sfc10400
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10400> getList(QueryWrapper<Sfc10400> queryWrapper)
    {
        return sfc10400Mapper.selectList(queryWrapper);
    }
}