package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Sfc10401;
import cn.ezhizao.project.business.mapper.Sfc10401Mapper;
import cn.ezhizao.project.business.service.ISfc10401Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Sfc10401ServiceImpl extends ServiceImpl<Sfc10401Mapper, Sfc10401> implements ISfc10401Service
{
    @Resource
    private Sfc10401Mapper sfc10401Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Sfc10401> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10401> getList(QueryWrapper<Sfc10401> queryWrapper)
    {
        return sfc10401Mapper.selectList(queryWrapper);
    }
}