package cn.ezhizao.project.business.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 企业租户对象 biz_pull_p2_time
 *
 * @author ezhizao
 * @date 2023-11-13
 */
@Data
@TableName(value = "biz_pull_p2_time")
public class BizPullP2Time
{
    private Long id;

    /** 类型（planDetail、employee等） */
    @ApiModelProperty(value = "类型")
    private String type;

    /** 拉取的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "拉取的时间")
    private Date pullTime;

}
