package cn.ezhizao.project.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("bom30101")
public class Bom30101 {
    @ApiModelProperty("产品编号")
    private String cpart;
    @ApiModelProperty("原料编号")
    private String part;
    @ApiModelProperty("公差长度")
    private BigDecimal gccd;
    @ApiModelProperty("原材料利用率")
    private BigDecimal utrate;
    @ApiModelProperty("账号")
    private String prloc;
    @ApiModelProperty("料头长度")
    private String ltcd;
    @ApiModelProperty("直料长度")
    private String zlcd;
    @ApiModelProperty("单箱支数")
    private BigDecimal dxqty;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("实际投料直径")
    private BigDecimal yzj;
    @ApiModelProperty("基本用量")
    private BigDecimal base;
    @ApiModelProperty("子件描述")
    private String description;
    @ApiModelProperty("Y组装件有bom/N子件是材料或外购件")
    private String bomsta;
    @ApiModelProperty("操作者")
    private String writeruser;
    @ApiModelProperty("更新日期")
    private Date writedate;
}
