package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizMaterialBaseInfo;

/**
 * 材料基础信息Mapper接口
 *
 * @author ezhizao
 * @date 2024-06-18
 */
public interface BizMaterialBaseInfoMapper extends BaseMapper<BizMaterialBaseInfo>
{
    /**
     * 查询材料基础信息列表
     *
     * @param bizMaterialBaseInfo 材料基础信息
     * @return 材料基础信息集合
     */
    public List<BizMaterialBaseInfo> getList(BizMaterialBaseInfo bizMaterialBaseInfo);

    /**
     * 物理删除
     * @param bizMaterialBaseInfo
     * @return 删除结果
    */
    public int physicalDelete(BizMaterialBaseInfo bizMaterialBaseInfo);
}
