package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizReturnReceipt;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Mapper接口
 *
 * @author ezhizao
 * date    2024-05-06
 */
public interface BizReturnReceiptMapper extends BaseMapper<BizReturnReceipt>
{
    /**
     * 查询外协单主表
     *
     * @param bizReturnReceipt 收回单主表
     * @return 收回单主 集合
     */
    public List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt);

    /**
     * 物理删除
     * @param bizReturnReceipt 待删除
     * @return 删除结果
    */
    public int physicalDelete(BizReturnReceipt bizReturnReceipt);
}
