package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizPullP2Time;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 企业租户Service接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface IBizPullP2TimeService extends IService<BizPullP2Time>
{
    /**
     * 查询企业租户列表
     *
     * @param bizPullP2Time 企业租户
     * @return 企业租户集合
     */
    public List<BizPullP2Time> getList(BizPullP2Time bizPullP2Time);

    /**
     * 物理删除
     * @param bizPullP2Time
     * @return 删除结果
     */
    public int physicalDelete(BizPullP2Time bizPullP2Time);

}
