package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizReturnReceipt;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 收回单主表
 *
 * @author 庄德政
 * date    2024-05-06
 */
public interface IBizReturnReceiptService extends IService<BizReturnReceipt>
{
    /**
     * 查询收回单表
     *
     * @param bizReturnReceipt 查询条件
     * @return 收回单主表
     */
    List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt);

    /**
     * 物理删除
     * @param bizReturnReceipt 待删除
     * @return 删除结果
     */
    int physicalDelete(BizReturnReceipt bizReturnReceipt);

}
