package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizTechnologicalProcess;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 工艺主表Service接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface IBizTechnologicalProcessService extends IService<BizTechnologicalProcess>
{
    /**
     * 查询工艺主表列表
     *
     * @param bizTechnologicalProcess 工艺主表
     * @return 工艺主表集合
     */
    public List<BizTechnologicalProcess> getList(BizTechnologicalProcess bizTechnologicalProcess);

    /**
     * 物理删除
     * @param bizTechnologicalProcess
     * @return 删除结果
     */
    public int physicalDelete(BizTechnologicalProcess bizTechnologicalProcess);

}
