package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.Mrp10201Mapper;
import cn.ezhizao.project.business.domain.Mrp10201;
import cn.ezhizao.project.business.service.IMrp10201Service;

/**
 * mrp10200Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-16
 */
@Service
public class Mrp10201ServiceImpl extends ServiceImpl<Mrp10201Mapper, Mrp10201> implements IMrp10201Service
{
    @Resource
    private Mrp10201Mapper mrp10201Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Mrp10201> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Mrp10201> getList(QueryWrapper<Mrp10201> queryWrapper)
    {
        return mrp10201Mapper.selectList(queryWrapper);
    }
}
