package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Sfc10100;
import cn.ezhizao.project.business.mapper.Sfc10100Mapper;
import cn.ezhizao.project.business.service.ISfc10100Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Sfc10100ServiceImpl  extends ServiceImpl<Sfc10100Mapper, Sfc10100> implements ISfc10100Service
{
    @Resource
    private Sfc10100Mapper sfc10100Mapper;

    /**
     * 查询sfc10100列表
     *
     * @param queryWrapper<Sfc10100> queryWrapper
     * @return sfc10100
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10100> getList(QueryWrapper<Sfc10100> queryWrapper)
    {
        return sfc10100Mapper.selectList(queryWrapper);
    }

}
