package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Sfc10400;
import cn.ezhizao.project.business.domain.Sfc10500;
import cn.ezhizao.project.business.mapper.Sfc10500Mapper;
import cn.ezhizao.project.business.service.ISfc10500Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class Sfc10500ServiceImpl extends ServiceImpl<Sfc10500Mapper, Sfc10500> implements ISfc10500Service
{
    @Resource
    private Sfc10500Mapper sfc10500Mapper;


    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Sfc10500> getList(QueryWrapper<Sfc10500> queryWrapper)
    {
        return sfc10500Mapper.selectList(queryWrapper);
    }
}