package cn.ezhizao.project.system.service;

import cn.ezhizao.project.system.domain.SysUser;

import java.util.List;

/**
 * 用户 业务层
 *
 * @author ruoyi
 */
public interface ISysUserService {

    /**
     * 根据用户名获取用户信息
     *
     * @param userName 用户编码
     * @return 用户信息
     */
    SysUser getUserByCode(String userName);

    List<SysUser> getList();
}
