package cn.ezhizao.project.system.service.impl;

import cn.ezhizao.project.system.mapper.SysUserMapper;
import cn.ezhizao.project.system.domain.SysUser;
import cn.ezhizao.project.system.service.ISysUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 用户 业务层处理
 *
 * @author ruoyi
 */
@Service
public class SysUserServiceImpl implements ISysUserService {
    private static final Logger log = LoggerFactory.getLogger(SysUserServiceImpl.class);

    @Resource
    private SysUserMapper userMapper;
    @Override
    public SysUser getUserByCode(String userName) {
        return userMapper.getUserByCode(userName);
    }

    @Override
    public List<SysUser> getList() {
        return userMapper.selectUserList(new SysUser());
    }
}
